describe('WorkerLocker', () => {
    const productionId = 49;
    const lockerCode = '2F';
    const input = '.q-card input';
    const thirdOpt = '[role="listbox"] .q-item:nth-child(1)';
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('productionBoss');
        cy.visit(`/#/worker/${productionId}/locker`);
    });

    it('should allocates a locker', () => {
        cy.get(input).click();
        cy.waitForElement('[role="listbox"]');
        cy.get(thirdOpt).click();
        cy.saveCard();
        cy.get(input).invoke('val').should('eq', lockerCode);
    });
});
